Skip to main content
GET
/
v1
/
stability-analyses
List stability analyses for a variant
curl --request GET \
  --url https://api.example.com/v1/stability-analyses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "completed_at": "2026-04-22T14:16:42+00:00",
      "created_at": "2026-04-22T14:15:00+00:00",
      "credit_cost": 3,
      "id": "bbbb2222-cccc-3333-dddd-444455556666",
      "inputs": {
        "variant_id": "11112222-3333-4444-5555-666677778888"
      },
      "object": "stability_analysis",
      "results": {
        "aggregation_score": 0.18,
        "developability_score": 84,
        "melting_temp_predicted": 72.4,
        "model_versions": {
          "thermomab": "0.3.1"
        },
        "solubility_score": 0.71,
        "stabilizing_mutations": [],
        "thermostability_score": 0.82
      },
      "started_at": "2026-04-22T14:15:02+00:00",
      "status": "completed"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

variant_id
string<uuid>
required
limit
integer
default:50
Required range: 1 <= x <= 200
after
string | null

Response

Successful Response

data
StabilityAnalysis · object[]
required
has_more
boolean
required
next_cursor
string | null